Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.properties
Interface IResourcePropertyConstants

public interface IResourcePropertyConstants

This interface documents the property constants used by the resource property source.

Field Summary
`static String` | `P_DERIVED_RES` The `IResource` property key for read-only.
`static String` | `P_DISPLAY_LAST_MODIFIED` The `IResource` category for last modified
`static String` | `P_DISPLAY_SIZE` The `IResource` property key for displaying size
`static String` | `P_DISPLAYDERIVED_RES` The `IResource` property key for display read-only.
`static String` | `P_DISPLAYEDITABLE_RES` The `IResource` property key for display read-only.
`static String` | `P_DISPLAYLINKED_RES` The `IResource` property key for display linked.
`static String` | `P_DISPLAYLOCATION_RES` The `IResource` property key for display location.
`static String` | `P_DISPLAYPATH_RES` The `IResource` property key for display path.
`static String` | `P_DISPLAYRESOLVED_LOCATION_RES` The `IResource` property key for display resolved location.
`static String` | `P_EDITABLE_RES` The `IResource` property key for read-only.
`static String` | `P_FILE_SYSTEM_CATEGORY` The `IResource` category for the base values
`static String` | `P_LABEL_RES` The `IResource` property key for name.
`static String` | `P_LAST_MODIFIED_RES` The `IResource` property key for path.
`static String` | `P_LINKED_RES` The `IResource` property key for linked.
`static String` | `P_LOCATION_RES` The `IResource` property key for location.
`static String` | `P_PATH_RES` The `IResource` property key for path.
`static String` | `P_RESOLVED_LOCATION_RES` The `IResource` property key for resolved location.
`static String` | `P_SIZE_RES` The `IResource` property key for path.

Field Detail

### P_LABEL_RES

    public static final String P_LABEL_RES

  The `IResource` property key for name.

### P_PATH_RES

    public static final String P_PATH_RES

  The `IResource` property key for path.

  See Also:
    Constant Field Values

### P_DISPLAYPATH_RES

    public static final String P_DISPLAYPATH_RES

  The `IResource` property key for display path.

### P_EDITABLE_RES

    public static final String P_EDITABLE_RES

  The `IResource` property key for read-only.

  See Also:
    Constant Field Values

### P_DISPLAYEDITABLE_RES

    public static final String P_DISPLAYEDITABLE_RES

  The `IResource` property key for display read-only.

### P_DERIVED_RES

    public static final String P_DERIVED_RES

  The `IResource` property key for read-only.

  See Also:
    Constant Field Values

### P_DISPLAYDERIVED_RES

    public static final String P_DISPLAYDERIVED_RES

  The `IResource` property key for display read-only.

### P_LOCATION_RES

    public static final String P_LOCATION_RES

  The `IResource` property key for location.

  See Also:
    Constant Field Values

### P_DISPLAYLOCATION_RES

    public static final String P_DISPLAYLOCATION_RES

  The `IResource` property key for display location.

### P_RESOLVED_LOCATION_RES

    public static final String P_RESOLVED_LOCATION_RES

  The `IResource` property key for resolved location.

  See Also:
    Constant Field Values

### P_DISPLAYRESOLVED_LOCATION_RES

    public static final String P_DISPLAYRESOLVED_LOCATION_RES

  The `IResource` property key for display resolved location.

### P_LINKED_RES

    public static final String P_LINKED_RES

  The `IResource` property key for linked.

  See Also:
    Constant Field Values

### P_DISPLAYLINKED_RES

    public static final String P_DISPLAYLINKED_RES

  The `IResource` property key for display linked.

### P_FILE_SYSTEM_CATEGORY

    public static final String P_FILE_SYSTEM_CATEGORY

  The `IResource` category for the base values

### P_SIZE_RES

    public static final String P_SIZE_RES

  The `IResource` property key for path.

  See Also:
    Constant Field Values

### P_DISPLAY_SIZE

    public static final String P_DISPLAY_SIZE

  The `IResource` property key for displaying size

### P_LAST_MODIFIED_RES

    public static final String P_LAST_MODIFIED_RES

  The `IResource` property key for path.

  See Also:
    Constant Field Values

### P_DISPLAY_LAST_MODIFIED

    public static final String P_DISPLAY_LAST_MODIFIED

  The `IResource` category for last modified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.